Bug 70464 - Kernel oops
Kernel oops
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-01 12:28 EDT by hjl
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-08-01 12:28:21 EDT
RedHat 7.3 on a P/3 730MHz got a kernel oops
when I tried to do

# rpm -fr gdb-5.2.0_2002-06-27-cvs gdb-5.2.0_2002-07-17-cvs
gdb-5.2.1.0.90_2002-07-29-cvs gcc-2.96-20000731 glibc-2.2.5 kernel-2.4.18

which were rpm build directories.

Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
c01438e9
*pde = 00000000
Oops: 0000
sg nls_iso8859-1 nls_cp437 msdos fat loop nfs binfmt_misc autofs4 nfsd lockd s
CPU:    0
EIP:    0010:[<c01438e9>]    Not tainted
EFLAGS: 00010246

EIP is at vfs_unlink [kernel] 0x139 (2.4.18-5.2)
eax: 00000000   ebx: ffffffff   ecx: d0868eb0   edx: 00000003
esi: cce2cd60   edi: c76ba5a0   ebp: bfffeb28   esp: cd67df64
ds: 0018   es: 0018   ss: 0018
Process rm (pid: 7114, stackpage=cd67d000)
Stack: cce2cd60 ffffffff c014283a cce2cd60 c76ba5a0 ffffffeb c76ba5a0 c4c68000 
       c76ba5a0 c01439d8 cce2cd60 c76ba5a0 c9b00840 cff9c420 c4c68000 00000012 
       45460624 00000010 00000000 cd67c000 cd67c000 08053cdb 00000000 c010890f 
Call Trace: [<c014283a>] lookup_hash [kernel] 0x6a 
[<c01439d8>] sys_unlink [kernel] 0x88 
[<c010890f>] system_call [kernel] 0x33 


Code: ff 10 5a 59 8b 47 38 bb f0 ff ff ff 85 c0 75 1a 8b 86 94 00 
 
I am running kernel-2.4.18-5 built by myself.
Comment 1 Arjan van de Ven 2002-08-01 12:31:54 EDT
what did you change?
what filesystem is it ?
Comment 2 hjl 2002-08-01 12:36:08 EDT
I fixed a IEEE1394 SBP2 inquiry bug. It is on ext3.
Comment 3 Bugzilla owner 2004-09-30 11:39:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.